Package org.apache.sling.event.impl.jobs.jmx

# Class EmptyStatistics

java.lang.Object
org.apache.sling.event.impl.jobs.jmx.EmptyStatistics

All Implemented Interfaces:
  `org.apache.sling.event.jobs.Statistics`

public class EmptyStatistics extends Object implements org.apache.sling.event.jobs.Statistics
Dummy stats that just returns 0 for all info, used where the queue doesnt implement the Statistics interface.

## Constructor Summary

Constructors
Constructor
Description
`EmptyStatistics()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAverageProcessingTime()`
`long`
`getAverageWaitingTime()`
`long`
`getLastActivatedJobTime()`
`long`
`getLastFinishedJobTime()`
`long`
`getNumberOfActiveJobs()`
`long`
`getNumberOfCancelledJobs()`
`long`
`getNumberOfFailedJobs()`
`long`
`getNumberOfFinishedJobs()`
`long`
`getNumberOfJobs()`
`long`
`getNumberOfProcessedJobs()`
`long`
`getNumberOfQueuedJobs()`
`long`
`getStartTime()`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyStatistics

public EmptyStatistics()

## Method Details

### getStartTime

public long getStartTime()

Specified by:
  `getStartTime` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfFinishedJobs

public long getNumberOfFinishedJobs()

Specified by:
  `getNumberOfFinishedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfCancelledJobs

public long getNumberOfCancelledJobs()

Specified by:
  `getNumberOfCancelledJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfFailedJobs

public long getNumberOfFailedJobs()

Specified by:
  `getNumberOfFailedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfProcessedJobs

public long getNumberOfProcessedJobs()

Specified by:
  `getNumberOfProcessedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfActiveJobs

public long getNumberOfActiveJobs()

Specified by:
  `getNumberOfActiveJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfQueuedJobs

public long getNumberOfQueuedJobs()

Specified by:
  `getNumberOfQueuedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfJobs

public long getNumberOfJobs()

Specified by:
  `getNumberOfJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getLastActivatedJobTime

public long getLastActivatedJobTime()

Specified by:
  `getLastActivatedJobTime` in interface `org.apache.sling.event.jobs.Statistics`

### getLastFinishedJobTime

public long getLastFinishedJobTime()

Specified by:
  `getLastFinishedJobTime` in interface `org.apache.sling.event.jobs.Statistics`

### getAverageWaitingTime

public long getAverageWaitingTime()

Specified by:
  `getAverageWaitingTime` in interface `org.apache.sling.event.jobs.Statistics`

### getAverageProcessingTime

public long getAverageProcessingTime()

Specified by:
  `getAverageProcessingTime` in interface `org.apache.sling.event.jobs.Statistics`

### reset

public void reset()

Specified by:
  `reset` in interface `org.apache.sling.event.jobs.Statistics`